QScintilla: QsciAbstractAPIs Class Reference

QScintilla 2.11.6

Public Member Functions | List of all members
QsciAbstractAPIs Class Referenceabstract

`#include <qsciabstractapis.h>`

Inherits QObject.

Inherited by QsciAPIs.

## Public Member Functions
| QsciAbstractAPIs (QsciLexer *lexer)
virtual | ~QsciAbstractAPIs ()
QsciLexer * | lexer () const
virtual void | updateAutoCompletionList (const QStringList &context, QStringList &list)=0
virtual void | autoCompletionSelected (const QString &selection)
virtual QStringList | callTips (const QStringList &context, int commas, QsciScintilla::CallTipsStyle style, QList< int > &shifts)=0

## Detailed Description

The QsciAbstractAPIs class represents the interface to the textual API information used in call tips and for auto-completion. A sub-class will provide the actual implementation of the interface.

API information is specific to a particular language lexer but can be shared by multiple instances of the lexer.

## Constructor & Destructor Documentation

## ◆ QsciAbstractAPIs()

QsciAbstractAPIs::QsciAbstractAPIs | ( | QsciLexer * | lexer | ) |

Constructs a QsciAbstractAPIs instance attached to lexer lexer. lexer becomes the instance's parent object although the instance can also be subsequently attached to other lexers.

## Member Function Documentation

## ◆ updateAutoCompletionList()

virtual void QsciAbstractAPIs::updateAutoCompletionList | ( | const QStringList & | context,
|  | QStringList & | list
| ) |  |
| pure virtual

Update the list list with API entries derived from context. context is the list of words in the text preceding the cursor position. The characters that make up a word and the characters that separate words are defined by the lexer. The last word is a partial word and may be empty if the user has just entered a word separator.

Implemented in QsciAPIs.

## ◆ autoCompletionSelected()

virtual void QsciAbstractAPIs::autoCompletionSelected | ( | const QString & | selection | ) |
| virtual

This is called when the user selects the entry selection from the auto-completion list. A sub-class can use this as a hint to provide more specific API entries in future calls to updateAutoCompletionList(). The default implementation does nothing.

Reimplemented in QsciAPIs.

## ◆ callTips()

virtual QStringList QsciAbstractAPIs::callTips | ( | const QStringList & | context,
|  | int | commas,
|  | QsciScintilla::CallTipsStyle | style,
|  | QList< int > & | shifts
| ) |  |
| pure virtual

Return the call tips valid for the context context. (Note that the last word of the context will always be empty.) commas is the number of commas the user has typed after the context and before the cursor position. The exact position of the list of call tips can be adjusted by specifying a corresponding left character shift in shifts. This is normally done to correct for any displayed context according to style.

See also
  updateAutoCompletionList()

Implemented in QsciAPIs.

QsciStyle::font
QFont font() const
Definition: qscistyle.h:131
QsciLexerJavaScript
The QsciLexerJavaScript class encapsulates the Scintilla JavaScript lexer.
Definition: qscilexerjavascript.h:32
QsciLexerXML
The QsciLexerXML class encapsulates the Scintilla XML lexer.
Definition: qscilexerxml.h:31
QsciScintilla::isModified
bool isModified() const
QsciLexer::readProperties
virtual bool readProperties(QSettings &qs, const QString &prefix)
QsciCommand::Command
Command
This enum defines the different commands that can be assigned to a key.
Definition: qscicommand.h:43
QsciScintilla::BraceMatch
BraceMatch
Definition: qsciscintilla.h:133
QsciScintilla::CallTipsBelowText
Call tips are placed below the text.
Definition: qsciscintilla.h:149
QsciScintilla::AutoCompletionSource
AutoCompletionSource
This enum defines the different sources for auto-completion lists.
Definition: qsciscintilla.h:116
QsciLexerCPP::description
QString description(int style) const
QsciLexerEDIFACT
The QsciLexerEDIFACT class encapsulates the Scintilla EDIFACT lexer.
Definition: qscilexeredifact.h:31
QsciLexerFortran77
The QsciLexerFortran77 class encapsulates the Scintilla Fortran77 lexer.
Definition: qscilexerfortran77.h:32
QsciLexerTeX
The QsciLexerTeX class encapsulates the Scintilla TeX lexer.
Definition: qscilexertex.h:31
QsciLexerMatlab::lexer
const char * lexer() const
QsciLexerCSS
The QsciLexerCSS class encapsulates the Scintilla CSS lexer.
Definition: qscilexercss.h:31
QsciStyle::color
QColor color() const
Definition: qscistyle.h:109
QsciScintillaBase::SC_MARK_CIRCLEMINUS
A drawn minus sign in a circle.
Definition: qsciscintillabase.h:2628
QsciLexerVerilog::foldPreprocessor
bool foldPreprocessor() const
Definition: qscilexerverilog.h:213
QsciScintilla::NoBraceMatch
Brace matching is disabled.
Definition: qsciscintilla.h:135
QsciScintillaBase::SC_MARK_ARROWS
Three drawn arrows pointing right.
Definition: qsciscintillabase.h:2641
QsciLexerSQL::foldOnlyBegin
bool foldOnlyBegin() const
Definition: qscilexersql.h:206
QsciScintilla::callTipsVisible
int callTipsVisible() const
Definition: qsciscintilla.h:653
QsciLexerCoffeeScript::foldCompact
bool foldCompact() const
Definition: qscilexercoffeescript.h:214
QsciLexerPython::foldCompact
bool foldCompact() const
Definition: qscilexerpython.h:199
QsciStyle::textCase
TextCase textCase() const
Definition: qscistyle.h:152
QsciLexerHTML::foldCompact
bool foldCompact() const
Definition: qscilexerhtml.h:440
QsciScintillaBase::SC_MARK_UNDERLINE
The line is underlined using the marker's background color.
Definition: qsciscintillabase.h:2658
QsciScintillaBase::SC_MARK_EMPTY
Definition: qsciscintillabase.h:2580
QsciLexer::autoCompletionFillups
virtual const char * autoCompletionFillups() const
Returns the characters that can fill up auto-completion.
QsciDocument
The QsciDocument class represents a document to be edited.
Definition: qscidocument.h:37
QsciStyle::changeable
bool changeable() const
Definition: qscistyle.h:173
QsciLexerIDL
The QsciLexerIDL class encapsulates the Scintilla IDL lexer.
Definition: qscilexeridl.h:32
QsciScintillaBase::SC_MARK_BOOKMARK
A bookmark.
Definition: qsciscintillabase.h:2664
QsciLexerSQL::dottedWords
bool dottedWords() const
Definition: qscilexersql.h:174
QsciLexer::styleBitsNeeded
virtual int styleBitsNeeded() const
QsciScintilla::FoldStyle
FoldStyle
This enum defines the different styles for the folding margin.
Definition: qsciscintilla.h:209
QsciLexerCSS::SCSSLanguage
bool SCSSLanguage() const
Definition: qscilexercss.h:207
QsciLexerHTML::makoTemplates
bool makoTemplates() const
Definition: qscilexerhtml.h:478
QsciLexerPython::v2UnicodeAllowed
bool v2UnicodeAllowed() const
Definition: qscilexerpython.h:246
QsciLexerCustom
The QsciLexerCustom class is an abstract class used as a base for new language lexers.
Definition: qscilexercustom.h:42
QsciScintilla::WrapFlagByBorder
A wrap flag is displayed by the border.
Definition: qsciscintilla.h:501
QsciLexerSQL::foldComments
bool foldComments() const
Definition: qscilexersql.h:190
QsciCommand::command
Command command() const
Return the command that will be executed by this instance.
Definition: qscicommand.h:348
QsciLexerCPP::foldPreprocessor
bool foldPreprocessor() const
Definition: qscilexercpp.h:247
QsciLexerCPP::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciLexerCoffeeScript::dollarsAllowed
bool dollarsAllowed() const
Definition: qscilexercoffeescript.h:192
QsciLexer
The QsciLexer class is an abstract class used as a base for language lexers.
Definition: qscilexer.h:62
QsciLexerPostScript
The QsciLexerPostScript class encapsulates the Scintilla PostScript lexer.
Definition: qscilexerpostscript.h:32
QsciScintillaBase::SC_MARK_BACKGROUND
Definition: qsciscintillabase.h:2635
QsciScintilla::EolMode
EolMode
This enum defines the different end-of-line modes.
Definition: qsciscintilla.h:197
QsciLexerCPP::foldAtElse
bool foldAtElse() const
Definition: qscilexercpp.h:232
QsciScintillaBase::SC_MARK_DOTDOTDOT
Three drawn dots.
Definition: qsciscintillabase.h:2638
QsciScintillaBase::SC_MARK_TCORNERCURVE
Definition: qsciscintillabase.h:2619
QsciScintilla::WhitespaceVisibility
WhitespaceVisibility
Definition: qsciscintilla.h:463
QsciCommand::key
int key() const
Definition: qscicommand.h:377
QsciLexerJava
The QsciLexerJava class encapsulates the Scintilla Java lexer.
Definition: qscilexerjava.h:31
QsciStyle::description
QString description() const
Definition: qscistyle.h:98
QsciLexer::defaultPaper
QColor defaultPaper() const
QsciStyle::hotspot
bool hotspot() const
Definition: qscistyle.h:184
QsciAbstractAPIs::autoCompletionSelected
virtual void autoCompletionSelected(const QString &selection)
QsciScintillaBase::SC_MARK_ROUNDRECT
A rectangle.
Definition: qsciscintillabase.h:2567
QsciLexerVerilog
The QsciLexerVerilog class encapsulates the Scintilla Verilog lexer.
Definition: qscilexerverilog.h:32
QsciScintillaBase::SC_MARK_BOXMINUS
A drawn minus sign in a box.
Definition: qsciscintillabase.h:2608
QsciLexerSQL::hashComments
bool hashComments() const
Definition: qscilexersql.h:218
QsciLexerSQL
The QsciLexerSQL class encapsulates the Scintilla SQL lexer.
Definition: qscilexersql.h:31
QsciScintillaBase::SC_MARK_FULLRECT
Definition: qsciscintillabase.h:2648
QsciLexerHTML::defaultEolFill
bool defaultEolFill(int style) const
Returns the end-of-line fill for style number style.
QsciStyledText::text
const QString & text() const
Returns a reference to the text.
Definition: qscistyledtext.h:50
QsciStyle::visible
bool visible() const
Definition: qscistyle.h:162
QsciLexerJSON::highlightComments
bool highlightComments() const
Definition: qscilexerjson.h:134
QsciLexerCPP::language
const char * language() const
Returns the name of the language.
QsciLexerMarkdown
The QsciLexerMarkdown class encapsulates the Scintilla Markdown lexer.
Definition: qscilexermarkdown.h:32
QsciScintilla::NoFoldStyle
Folding is disabled.
Definition: qsciscintilla.h:211
QsciLexerVerilog::foldAtModule
bool foldAtModule() const
Definition: qscilexerverilog.h:223
QsciLexerHTML::caseSensitiveTags
bool caseSensitiveTags() const
Definition: qscilexerhtml.h:424
QsciLexerHTML::foldScriptHeredocs
bool foldScriptHeredocs() const
Definition: qscilexerhtml.h:467
QsciLexerPython::highlightSubidentifiers
bool highlightSubidentifiers() const
Definition: qscilexerpython.h:223
QsciLexerOctave
The QsciLexerOctave class encapsulates the Scintilla Octave file lexer.
Definition: qscilexeroctave.h:32
QsciScintilla::PlainFoldStyle
Plain folding style using plus and minus symbols.
Definition: qsciscintilla.h:214
QsciScintilla::StrictBraceMatch
Definition: qsciscintilla.h:139
QsciLexer::autoCompletionWordSeparators
virtual QStringList autoCompletionWordSeparators() const
QsciLexerProperties::foldCompact
bool foldCompact() const
Definition: qscilexerproperties.h:104
QsciLexerSQL::backslashEscapes
bool backslashEscapes() const
Definition: qscilexersql.h:163
QsciLexerCSharp
The QsciLexerCSharp class encapsulates the Scintilla C# lexer.
Definition: qscilexercsharp.h:32
QsciScintillaBase::SC_MARK_CIRCLEMINUSCONNECTED
A drawn minus sign in a connected circle.
Definition: qsciscintillabase.h:2631
QsciScintillaBase::SC_MARK_PLUS
A drawn plus sign.
Definition: qsciscintillabase.h:2589
QsciStyle
The QsciStyle class encapsulates all the attributes of a style.
Definition: qscistyle.h:41
QsciLexer::description
virtual QString description(int style) const =0
QsciStyle::eolFill
bool eolFill() const
Definition: qscistyle.h:141
QsciScintilla::AcusNever
Definition: qsciscintilla.h:102
QsciScintillaBase::SC_MARGIN_RTEXT
The margin will display right justified text.
Definition: qsciscintillabase.h:2707
QsciLexerFortran77::language
const char * language() const
Returns the name of the language.
QsciLexer::indentationGuideView
virtual int indentationGuideView() const
Returns the view used for indentation guides.
QsciScintillaBase::SC_MARGIN_NUMBER
The margin will display line numbers.
Definition: qsciscintillabase.h:2693
QsciMacro
The QsciMacro class represents a sequence of recordable editor commands.
Definition: qscimacro.h:40
QsciLexerHTML
The QsciLexerHTML class encapsulates the Scintilla HTML lexer.
Definition: qscilexerhtml.h:31
QsciStyle::setDescription
void setDescription(const QString &description)
Definition: qscistyle.h:93
QsciScintillaBase::SC_MARK_ARROW
A triangle pointing to the right.
Definition: qsciscintillabase.h:2570
QsciScintillaBase
The QsciScintillaBase class implements the Scintilla editor widget and its low-level API.
Definition: qsciscintillabase.h:60
QsciScintilla::TabDrawMode
TabDrawMode
Definition: qsciscintilla.h:452
QsciCommandSet::commands
QList< QsciCommand * > & commands()
The commands in the set are returned as a list.
Definition: qscicommandset.h:62
QsciScintilla::WrapMode
WrapMode
This enum defines the different line wrap modes.
Definition: qsciscintilla.h:478
QsciScintilla::autoCompletionThreshold
int autoCompletionThreshold() const
Definition: qsciscintilla.h:604
QsciScintillaBase::SC_MARGIN_FORE
Definition: qsciscintillabase.h:2701
QsciScintilla::folding
FoldStyle folding() const
Definition: qsciscintilla.h:860
QsciScintilla::WrapFlagNone
No wrap flag is displayed.
Definition: qsciscintilla.h:495
QsciLexerCoffeeScript::foldComments
bool foldComments() const
Definition: qscilexercoffeescript.h:203
QsciLexerTeX::processComments
bool processComments() const
Definition: qscilexertex.h:122
QsciLexerCSS::HSSLanguage
bool HSSLanguage() const
Definition: qscilexercss.h:185
QsciLexerProperties
The QsciLexerProperties class encapsulates the Scintilla Properties lexer.
Definition: qscilexerproperties.h:32
QsciLexerPython
The QsciLexerPython class encapsulates the Scintilla Python lexer.
Definition: qscilexerpython.h:32
QsciLexerPython::v3BytesAllowed
bool v3BytesAllowed() const
Definition: qscilexerpython.h:270
QsciLexerCPP::highlightEscapeSequences
bool highlightEscapeSequences() const
Definition: qscilexercpp.h:308
QsciLexerTeX::processIf
bool processIf() const
Definition: qscilexertex.h:133
QsciLexerSpice
The QsciLexerSpice class encapsulates the Scintilla Spice lexer.
Definition: qscilexerspice.h:31
QsciLexerSQL::foldCompact
bool foldCompact() const
Definition: qscilexersql.h:195
QsciScintilla::AutoCompletionUseSingle
AutoCompletionUseSingle
Definition: qsciscintilla.h:99
QsciScintilla::MarkerSymbol
MarkerSymbol
This enum defines the different pre-defined marker symbols.
Definition: qsciscintilla.h:353
QsciLexerSQL::foldAtElse
bool foldAtElse() const
Definition: qscilexersql.h:185
QsciLexerMakefile
The QsciLexerMakefile class encapsulates the Scintilla Makefile lexer.
Definition: qscilexermakefile.h:32
QsciScintilla::callTipsPosition
CallTipsPosition callTipsPosition() const
Definition: qsciscintilla.h:643
QsciScintilla
The QsciScintilla class implements a higher level, more Qt-like, API to the Scintilla editor widget.
Definition: qsciscintilla.h:59
QsciScintilla::AcsNone
No sources are used, ie. automatic auto-completion is disabled.
Definition: qsciscintilla.h:118
QsciScintilla::BoxedFoldStyle
Boxed folding style using boxed plus and minus symbols.
Definition: qsciscintilla.h:220
QsciLexerCPP::foldComments
bool foldComments() const
Definition: qscilexercpp.h:237
QsciScintilla::CallTipsNoAutoCompletionContext
Definition: qsciscintilla.h:169
QsciLexerRuby
The QsciLexerRuby class encapsulates the Scintilla Ruby lexer.
Definition: qscilexerruby.h:31
QsciLexerD
The QsciLexerD class encapsulates the Scintilla D lexer.
Definition: qscilexerd.h:31
QsciLexer::wordCharacters
virtual const char * wordCharacters() const
QsciLexerRuby::foldCompact
bool foldCompact() const
Definition: qscilexerruby.h:214
QsciLexerMatlab
The QsciLexerMatlab class encapsulates the Scintilla Matlab file lexer.
Definition: qscilexermatlab.h:32
QsciScintilla::braceMatching
BraceMatch braceMatching() const
Definition: qsciscintilla.h:632
QsciLexerCMake
The QsciLexerCMake class encapsulates the Scintilla CMake lexer.
Definition: qscilexercmake.h:31
QsciLexerPython::foldComments
bool foldComments() const
Definition: qscilexerpython.h:188
QsciScintillaBase::SC_MARK_SMALLRECT
A smaller rectangle.
Definition: qsciscintillabase.h:2573
QsciScintillaBase::SC_MARGIN_COLOUR
Definition: qsciscintillabase.h:2711
QsciLexerHTML::foldScriptComments
bool foldScriptComments() const
Definition: qscilexerhtml.h:456
QsciScintillaBase::SC_MARK_BOXPLUSCONNECTED
A drawn plus sign in a connected box.
Definition: qsciscintillabase.h:2605
QsciScintilla::CallTipsNoContext
Definition: qsciscintilla.h:163
QsciScintilla::CircledTreeFoldStyle
Definition: qsciscintilla.h:224
QsciScintillaBase::SC_MARK_BOXPLUS
A drawn plus sign in a box.
Definition: qsciscintillabase.h:2602
QsciLexerJSON::foldCompact
bool foldCompact() const
Definition: qscilexerjson.h:156
QsciStyledText
The QsciStyledText class is a container for a piece of text and the style used to display the text.
Definition: qscistyledtext.h:35
QsciLexerTCL
The QsciLexerTCL class encapsulates the Scintilla TCL lexer.
Definition: qscilexertcl.h:31
QsciLexerCPP::highlightBackQuotedStrings
bool highlightBackQuotedStrings() const
Definition: qscilexercpp.h:297
QsciScintilla::CallTipsAboveText
Call tips are placed above the text.
Definition: qsciscintilla.h:152
QsciLexer::keywords
virtual const char * keywords(int set) const
QsciLexerVerilog::foldCompact
bool foldCompact() const
Definition: qscilexerverilog.h:202
QsciScintilla::AcsDocument
The source is the current document.
Definition: qsciscintilla.h:124
QsciLexerCPP::highlightHashQuotedStrings
bool highlightHashQuotedStrings() const
Definition: qscilexercpp.h:286
QsciPrinter::wrapMode
QsciScintilla::WrapMode wrapMode() const
Definition: qsciprinter.h:95
QsciAbstractAPIs::callTips
virtual QStringList callTips(const QStringList &context, int commas, QsciScintilla::CallTipsStyle style, QList< int > &shifts)=0
QsciLexer::blockStartKeyword
virtual const char * blockStartKeyword(int *style=0) const
QsciLexer::defaultEolFill
virtual bool defaultEolFill(int style) const
QsciScintilla::AnnotationDisplay
AnnotationDisplay
This enum defines the different annotation display styles.
Definition: qsciscintilla.h:83
QsciStyle::setStyle
void setStyle(int style)
Definition: qscistyle.h:82
QsciLexerPO
The QsciLexerPO class encapsulates the Scintilla PO lexer.
Definition: qscilexerpo.h:31
QsciCommand
The QsciCommand class represents an internal editor command that may have one or two keys bound to it...
Definition: qscicommand.h:39
QsciAPIs
The QsciAPIs class provies an implementation of the textual API information used in call tips and for...
Definition: qsciapis.h:65
QsciLexerPerl::foldAtElse
bool foldAtElse() const
Definition: qscilexerperl.h:237
QsciLexer::lexer
virtual const char * lexer() const
QsciScintillaBase::SC_MARK_BOXMINUSCONNECTED
A drawn minus sign in a connected box.
Definition: qsciscintillabase.h:2611
QsciLexerCPP::stylePreprocessor
bool stylePreprocessor() const
Definition: qscilexercpp.h:253
QsciScintilla::MarginType
MarginType
This enum defines the different margin types.
Definition: qsciscintilla.h:326
QsciLexer::braceStyle
virtual int braceStyle() const
Returns the style used for braces for brace matching.
QsciLexerPython::indentationWarning
QsciLexerPython::IndentationWarning indentationWarning() const
Definition: qscilexerpython.h:210
QsciLexerMatlab::language
const char * language() const
Returns the name of the language.
QsciLexer::blockStart
virtual const char * blockStart(int *style=0) const
QsciAbstractAPIs
The QsciAbstractAPIs class represents the interface to the textual API information used in call tips ...
Definition: qsciabstractapis.h:41
QsciLexerJSON::highlightEscapeSequences
bool highlightEscapeSequences() const
Definition: qscilexerjson.h:145
QsciLexerHTML::writeProperties
bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexerBash
The QsciLexerBash class encapsulates the Scintilla Bash lexer.
Definition: qscilexerbash.h:31
QsciScintilla::CircledFoldStyle
Circled folding style using circled plus and minus symbols.
Definition: qsciscintilla.h:217
QsciLexerTeX::foldCompact
bool foldCompact() const
Definition: qscilexertex.h:111
QsciLexerAVS
The QsciLexerAVS class encapsulates the Scintilla AVS lexer.
Definition: qscilexeravs.h:31
QsciLexerHTML::readProperties
bool readProperties(QSettings &qs, const QString &prefix)
QsciLexerHTML::refreshProperties
void refreshProperties()
QsciLexerHTML::foldPreprocessor
bool foldPreprocessor() const
Definition: qscilexerhtml.h:445
QsciScintilla::CallTipsPosition
CallTipsPosition
This enum defines the different call tip positions.
Definition: qsciscintilla.h:147
QsciLexerVerilog::foldAtElse
bool foldAtElse() const
Definition: qscilexerverilog.h:180
QsciLexerCoffeeScript::stylePreprocessor
bool stylePreprocessor() const
Definition: qscilexercoffeescript.h:226
QsciLexerVerilog::foldComments
bool foldComments() const
Definition: qscilexerverilog.h:191
QsciScintilla::autoCompletionSource
AutoCompletionSource autoCompletionSource() const
Definition: qsciscintilla.h:598
QsciScintillaBase::SC_MARK_SHORTARROW
An arrow pointing to the right.
Definition: qsciscintillabase.h:2576
QsciLexerSQL::quotedIdentifiers
bool quotedIdentifiers() const
Definition: qscilexersql.h:229
QsciLexer::defaultColor
QColor defaultColor() const
QsciLexerCPP::verbatimStringEscapeSequencesAllowed
bool verbatimStringEscapeSequencesAllowed() const
Definition: qscilexercpp.h:319
QsciLexerVHDL
The QsciLexerVHDL class encapsulates the Scintilla VHDL lexer.
Definition: qscilexervhdl.h:31
QsciLexer::refreshProperties
virtual void refreshProperties()
QsciLexerPython::v3BinaryOctalAllowed
bool v3BinaryOctalAllowed() const
Definition: qscilexerpython.h:258
QsciPrinter::magnification
int magnification() const
Definition: qsciprinter.h:76
QsciCommandSet
The QsciCommandSet class represents the set of all internal editor commands that may have keys bound.
Definition: qscicommandset.h:44
QsciScintilla::hasSelectedText
bool hasSelectedText() const
Definition: qsciscintilla.h:882
QsciScintillaBase::SC_MARK_CIRCLEPLUSCONNECTED
A drawn plus sign in a connected box.
Definition: qsciscintillabase.h:2625
QsciScintillaBase::SC_MARK_MINUS
A drawn minus sign.
Definition: qsciscintillabase.h:2586
QsciScintilla::AcsAll
The source is all available sources.
Definition: qsciscintilla.h:121
QsciLexerHTML::lexer
const char * lexer() const
QsciScintillaBase::changeEvent
virtual void changeEvent(QEvent *e)
\reimp
QsciStyle::style
int style() const
Definition: qscistyle.h:88
QsciScintilla::WrapVisualFlag
WrapVisualFlag
This enum defines the different line wrap visual flags.
Definition: qsciscintilla.h:493
QsciScintillaBase::SC_MARK_LEFTRECT
Definition: qsciscintillabase.h:2652
QsciLexerCPP::keywords
const char * keywords(int set) const
QsciLexerCPP::dollarsAllowed
bool dollarsAllowed() const
Definition: qscilexercpp.h:264
QsciLexerYAML
The QsciLexerYAML class encapsulates the Scintilla YAML lexer.
Definition: qscilexeryaml.h:31
QsciLexer::writeProperties
virtual bool writeProperties(QSettings &qs, const QString &prefix) const
QsciLexer::defaultFont
QFont defaultFont() const
QsciLexer::blockLookback
virtual int blockLookback() const
QsciLexer::language
virtual const char * language() const =0
QsciScintillaBase::SC_MARK_LCORNER
A bottom left corner drawn in the background colour.
Definition: qsciscintillabase.h:2595
QsciLexerJSON
The QsciLexerJSON class encapsulates the Scintilla JSON lexer.
Definition: qscilexerjson.h:31
QsciLexerDiff
The QsciLexerDiff class encapsulates the Scintilla Diff lexer.
Definition: qscilexerdiff.h:32
QsciLexerPOV
The QsciLexerPOV class encapsulates the Scintilla POV lexer.
Definition: qscilexerpov.h:31
QsciLexerFortran
The QsciLexerFortran class encapsulates the Scintilla Fortran lexer.
Definition: qscilexerfortran.h:31
QsciScintillaBase::SC_MARK_CIRCLE
A circle.
Definition: qsciscintillabase.h:2564
QsciScintillaBase::SC_MARGIN_TEXT
The margin will display text.
Definition: qsciscintillabase.h:2704
QsciLexerCPP
The QsciLexerCPP class encapsulates the Scintilla C++ lexer.
Definition: qscilexercpp.h:32
QsciLexer::blockEnd
virtual const char * blockEnd(int *style=0) const
QsciPrinter
The QsciPrinter class is a sub-class of the Qt QPrinter class that is able to print the text of a Sci...
Definition: qsciprinter.h:50
QsciScintillaBase::SC_MARGIN_SYMBOL
Definition: qsciscintillabase.h:2690
QsciLexerHTML::djangoTemplates
bool djangoTemplates() const
Definition: qscilexerhtml.h:435
QsciScintillaBase::SC_MARK_LCORNERCURVE
Definition: qsciscintillabase.h:2615
QsciLexerCPP::highlightTripleQuotedStrings
bool highlightTripleQuotedStrings() const
Definition: qscilexercpp.h:275
QsciLexerPerl
The QsciLexerPerl class encapsulates the Scintilla Perl lexer.
Definition: qscilexerperl.h:32
QsciCommand::alternateKey
int alternateKey() const
Definition: qscicommand.h:383
QsciScintilla::document
QsciDocument document() const
Definition: qsciscintilla.h:710
QsciLexerBatch
The QsciLexerBatch class encapsulates the Scintilla batch file lexer.
Definition: qscilexerbatch.h:32
QsciLexerPython::IndentationWarning
IndentationWarning
Definition: qscilexerpython.h:104
QsciLexerCPP::foldCompact
bool foldCompact() const
Definition: qscilexercpp.h:242
QsciScintilla::IndicatorStyle
IndicatorStyle
This enum defines the different indicator styles.
Definition: qsciscintilla.h:232
QsciStyle::paper
QColor paper() const
Definition: qscistyle.h:120
QsciStyle::TextCase
TextCase
Definition: qscistyle.h:46
QsciScintillaBase::SC_MARK_ARROWDOWN
A triangle pointing down.
Definition: qsciscintillabase.h:2583
QsciLexerPython::foldQuotes
bool foldQuotes() const
Definition: qscilexerpython.h:204
QsciLexerPascal
The QsciLexerPascal class encapsulates the Scintilla Pascal lexer.
Definition: qscilexerpascal.h:31
QsciLexerCoffeeScript
The QsciLexerCoffeeScript class encapsulates the Scintilla CoffeeScript lexer.
Definition: qscilexercoffeescript.h:32
QsciLexer::editor
QsciScintilla * editor() const
Definition: qscilexer.h:207
QsciScintilla::EdgeMode
EdgeMode
This enum defines the different edge modes for long lines.
Definition: qsciscintilla.h:178
QsciLexerHTML::language
const char * language() const
Returns the name of the language.
QsciLexerFortran77::keywords
const char * keywords(int set) const
QsciScintilla::callTipsStyle
CallTipsStyle callTipsStyle() const
Definition: qsciscintilla.h:648
QsciLexerTeX::foldComments
bool foldComments() const
Definition: qscilexertex.h:100
QsciScintillaBase::SC_MARGIN_BACK
Definition: qsciscintillabase.h:2697
QsciLexerLua
The QsciLexerLua class encapsulates the Scintilla Lua lexer.
Definition: qscilexerlua.h:32
QsciScintilla::autoIndent
bool autoIndent() const
Definition: qsciscintilla.h:615
QsciLexerFortran77::lexer
const char * lexer() const
QsciLexerMatlab::keywords
const char * keywords(int set) const
QsciScintilla::CallTipsStyle
CallTipsStyle
This enum defines the different call tip styles.
Definition: qsciscintilla.h:156
QsciScintilla::AcusExplicit
Definition: qsciscintilla.h:108
QsciScintillaBase::SC_MARK_VLINE
A vertical line drawn in the background colour.
Definition: qsciscintillabase.h:2592
QsciScintilla::WrapIndentMode
WrapIndentMode
This enum defines the different line wrap indentation modes.
Definition: qsciscintilla.h:508
QsciAbstractAPIs::updateAutoCompletionList
virtual void updateAutoCompletionList(const QStringList &context, QStringList &list)=0
QsciLexerRuby::foldComments
bool foldComments() const
Definition: qscilexerruby.h:203
QsciScintilla::setModified
virtual void setModified(bool m)
QsciScintillaBase::SC_MARK_TCORNER
Definition: qsciscintillabase.h:2599
QsciScintillaBase::SC_MARK_CIRCLEPLUS
A drawn plus sign in a circle.
Definition: qsciscintillabase.h:2622
QsciScintillaBase::contextMenuEvent
virtual void contextMenuEvent(QContextMenuEvent *e)
Re-implemented to handle the context menu.
QsciLexerCSS::LessLanguage
bool LessLanguage() const
Definition: qscilexercss.h:196
QsciScintilla::standardCommands
QsciCommandSet * standardCommands() const
The standard command set is returned.
Definition: qsciscintilla.h:1550
QsciScintilla::WrapFlagByText
A wrap flag is displayed by the text.
Definition: qsciscintilla.h:498
QsciLexerProperties::initialSpaces
bool initialSpaces() const
Definition: qscilexerproperties.h:115
QsciLexer::caseSensitive
virtual bool caseSensitive() const
Returns true if the language is case sensitive. The default is true.
QsciLexerTCL::foldComments
bool foldComments() const
Definition: qscilexertcl.h:165
QsciLexerPython::stringsOverNewlineAllowed
bool stringsOverNewlineAllowed() const
Definition: qscilexerpython.h:234
QsciScintilla::CallTipsNone
Call tips are disabled.
Definition: qsciscintilla.h:158
QsciLexerHTML::keywords
const char * keywords(int set) const